Bug 626412 - Display of attachments links in cloned bugs is broken
Summary: Display of attachments links in cloned bugs is broken
Status: CLOSED NEXTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: User Interface   
(Show other bugs)
Version: 3.6
Hardware: All Linux
low
medium vote
Target Milestone: ---
Assignee: Noura El hawary
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-23 13:40 UTC by Alexander Todorov
Modified: 2013-06-24 03:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-26 17:49:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix broken comments in cloned bugs (609 bytes, patch)
2010-08-25 13:54 UTC, Noura El hawary
nelhawar: review? (dkl)
nelhawar: review? (dkl)
Details | Diff

Description Alexander Todorov 2010-08-23 13:40:59 UTC
Description of problem:
When you clone a bug that has attachments and file a new bug which includes the comments related to attachements, those comments in the new bug are not converted to hyperlinks. 

For example bug #596300 is a clone of bug #539251. In both bugs there's a comment that says:

Created an attachment (id=372305)


In the original bug (539251) this is a link while in the cloned bug (596300) this is plain text. 

IIRC this was not the case with previous versions of Bugzilla.

Comment 1 Noura El hawary 2010-08-25 13:54:15 UTC
Created attachment 440948 [details]
patch to fix broken comments in cloned bugs

Hi Alexander, Thanks for reporting this issue.

The comments in the cloned bugs were broken for attachments, duplicate bug comments and all the comments that has the CMT type other than the normal. attached is a patch to fix the issue.

Cheers,
Noura

Comment 2 Noura El hawary 2010-08-26 10:48:06 UTC
Hi Dave,

I committed the patch to svn, please revert it, if you think there are any issues with that.

Cheers,
Noura


Note You need to log in before you can comment on or make changes to this bug.